/******* Grundeinstellungen ***************/
@font-face {
  font-family: "Lugrasimo";
  src: url("./Lugrasimo-Regular.eot");
}

p {color: white;}

h3 {
  color: white;
  font-style: italic;
}

h2 {
  color: white;
  font-weight: 200;
}


body {
  font-family: Arial;
  background: rgba(0, 0, 0, 1);
  width: 100vw;
  margin: 0 !important;
}

/******** Header, Navigation, Seitentitel*********/

header {
  background-image: url("Bilder/waldresti.jpg");
  min-height: 40vh;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;

  position: relative;
  margin-bottom: 1rem;


  & nav {

    & ul {
      display: flex !important;
      justify-content: space-around;
      flex-direction: row;
      list-style-type: none;
      margin: 0;
      /*padding: 1em;*/
      overflow: hidden;
      background-color: rgba(51, 51, 51, 0.7);

      & li {
        background-color: rgba(34, 34, 34, 1);
        display: inline;
        flex: 1, 1, auto;
        & a {
          display: block;
          color: rgba(255, 255, 255, 1);
          text-align: center;
          padding: 14px 16px;
          text-decoration: none;
          transition: all 0.5s;
        }
        & a:hover {
          transition: all 0.5s;
          background-color: rgba(17, 17, 17, 1);
        }
      }
    }
  }

  & h1 {
    background-color: rgba(11, 41, 27, 0.7);
    padding: 0.5rem;
    width: calc(100% - 1rem);
    position: absolute;
    bottom: 0;
    text-align: center;
    margin: 0;
    font-family: "Lugrasimo";
    color: white;
    }

  }


/********* Inhalte Seite Angebote *********/

.blog {
  display: flex !important;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;

  & h2 {
    flex-basis: 100%;
    text-align: center;
  }

  & .card {
    flex: auto;
    margin: 0.5rem;
    padding: 0.5rem;
    text-align: center;
    max-width: 30rem;
    background-color:rgba(11, 41, 27, 0.7);
    border-radius: 2%;

    & img {
      max-width: 29rem;
      height: auto;
    }
  }
}


/********* Inhalte homepage *********/
.Banner {  
  font-size: 1.2rem;
  padding: 1rem;
  background-color: rgba(20, 76, 49, 1);
  max-width: 100vw;
  overflow: hidden;
  margin-bottom: 1rem;


    & p {
    white-space: nowrap;
    animation: scrollText 20s linear infinite;
  }
}
  
  @keyframes scrollText {
    0% {
      transform: translateX(100%);
    }
    100% {
      transform: translateX(-100%);
    }
  }
  

@media screen and (max-width: 800px) {
  .leftcolumn,
  .rightcolumn {
    width: 100%;
    padding: 0;
  }
}


.homepage {
  display: flex !important;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;

  & .card {
    flex: auto;
    margin: 0.5rem;
    padding: 0.5rem;
    text-align: center;
    max-width: 30rem;
    background-color: rgba(14, 52, 34, 0.8);
    color: white;
    border-radius: 2%;
    

    & img {
      max-width: 29rem;
      height: auto;
      
    }
    
  }

  & .solo {
    flex-basis: 100%;
    max-width: 98vw;
    margin: 2rem;
    background-color:rgb(48, 84, 66);
  }
}

/******* Einstellungen About ***************/

.container {
  position: relative;
  width: 80%;
  overflow: hidden;
  padding-top: 45%; /* 16:9 Aspect Ratio */
  margin: 1rem auto;
}

.responsive-iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
  border: none;

}

.banner_about {
  padding: 0.5rem;
  margin: 0.5rem;
  background-color: rgb(48, 84, 66);
  text-align: center;
}


/******* Einstellungen footer ***************/

footer {
  display: flex !important;
  justify-content: space-around;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 24px;
  list-style-type: none;
  margin: 0;
  margin-top: 2rem;
  text-align: center;
  padding: 0.5rem;
  background-color: rgba(20, 76, 49, 1);
  color: rgba(255, 255, 255, 1);
  position: sticky;
  bottom: 0;
  width: calc(100vw - 1rem);

  & p {
    display: inline;
    flex: 1, 1, auto;
    
    & a {
      color: rgba(255, 255, 255, 1);
    }
  } & a:visited {
    color: rgba(125, 125, 125, 1);

  }
}
